#!/bin/sh
# The script can be used for testing resizer module

execute ()
{
	echo ------------------------------------------------
	$* --benchmark
	if [ $? -ne 0 ]; then
		echo
		echo "!!!  ERROR: Failed to execute $* !!!!"
		echo
	fi
}

# up scale and down scale using the internal loop
execute "./video_resize_omap3530.x470MV -i 320x240 -o 640x480 --loop"

# up scale horizental to 4x
execute "./video_resize_omap3530.x470MV -i 176x120 -o 704x120"

# down scale horizental to 4x
execute "./video_resize_omap3530.x470MV -o 176x120 -i 704x120"

# upscale vert to 4x
execute "./video_resize_omap3530.x470MV -i 176x120 -o 176x480"

# down vert to 4x
execute "./video_resize_omap3530.x470MV -i 176x480 -o 176x120"

# invalid resolution - must fail
execute "./video_resize_omap3530.x470MV -o 100x120 -i 122x704"

# invalid resolution - must fail
execute "./video_resize_omap3530.x470MV -i 176x120 -o 176x704"

